/*
	Crossing
	Copyright (C) 2007 Michal Vaner (michal.vaner@kdemail.net)

	This program is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	he Free Software Foundation; either version 2 of the License, or
	(at your option) any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the

	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program; if not, write to the Free Software
	Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*/


#ifndef MAPOBJECT_H
#define MAPOBJECT_H

#include "indexer.h"

#include <QPixmap>
#include <QDomElement>

class MapObject : public Indexable {
	private:
		const QPixmap mPixmap;
		int mX, mY, mRot;
	public:
		MapObject(const QPixmap &pixmap, const QDomElement &node);
		const QPixmap &pixmap() const { return mPixmap; }
		int x() const { return mX; }
		int y() const { return mY; }
		int rot() const { return mRot; }
};

#endif
